1. teacher [institution]
LeksiGo v2
  • auth
    • login
      POST
    • register
      POST
    • logout
      POST
    • refresh token
      POST
  • child
    • get [parent]
      GET
    • post [parent]
      POST
    • get [insitution]
      GET
    • put [parent]
      PUT
    • delete [parent]
      DELETE
  • users [admin]
    • get
      GET
    • post
      POST
    • show
      GET
    • put
      PUT
    • delete
      DELETE
  • institution
    • get
      GET
    • post [admin]
      POST
    • show
      GET
    • updateStatus
      PATCH
    • get applicants [institution]
      GET
    • apply applicants [institution]
      POST
  • teacher [institution]
    • get
      GET
    • post
      POST
    • put
      PUT
    • updateStatus
      PATCH
  • playground
    • teacher
      • course
        • store
        • get
        • show
        • put
        • active status
      • modul
        • post
        • put
        • active status
        • show
    • student
      • submit answer
  • generate
    • question sugesstion
  1. teacher [institution]

post

Developing
POST
/institution/teachers

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.leksigo.com/api/v2/institution/teachers' \
--header 'Authorization: Bearer {{accessToken}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "Mamang Hermanto",
    "email": "mamang.hermanto@gmail.com",
    "phone": "00918231823",
    "address": "Jl. Hisaudin"
}'
Response Response Example
Exception
{
    "success": false,
    "message": "Validation error",
    "errors": {
        "name": "Harap masukan nama terlebih dahulu",
        "email": "Harap masukan email yang valid",
        "phone": "Harap masukan phone terlebih dahulu",
        "address": "Harap masukan address terlebih dahulu"
    }
}
Modified at 2026-07-28 13:14:01
Previous
get
Next
put
Built with